/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ApplicationData.java,v 1.8.14.1 2000/10/19 17:59:06 jasona Exp $
 */





package com.lutris.appserver.server;

import	com.lutris.util.*;

/**
 * Per-application data. While an Enhydra application
 * is free to define any application data within the Java language
 * contructs, this structures allows for easy access from Jolt
 * Fields with the "application." prefix and allows for conditional
 * JOLT tags based on application data.
 *
 * @version	$Revision: 1.8.14.1 $
 * @author	Paul Morgan
 */
public class ApplicationData extends KeywordValueTable {

    // Extend as needed... Just a place holder for now.
}

