/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Servlet.java,v 1.6.14.1 2000/10/19 17:59:07 jasona Exp $
 */





package org.enhydra;

import com.lutris.appserver.server.httpPresentation.servlet.HttpPresentationServlet;

/**
 *  This class extends HttpPresentationServlet but does not add any 
 *  functionality. It exists to make it easier to add Enhydra applications 
 *  to servlet servers other than the Multiserver. Rather than having to
 *  type the long class name of the parent class (76 letters), users may
 *  instead type "org.enhydra.Servlet". Also, the fact that the classes are
 *  under the com.lutris hierarchy is hidden from users of the application.
 */
public final class Servlet extends HttpPresentationServlet {
}

