#
# Enhydra Java Application Server Project
# 
# The contents of this file are subject to the Enhydra Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License on
# the Enhydra web site ( http://www.enhydra.org/ ).
# 
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
# the License for the specific terms governing rights and limitations
# under the License.
# 
# The Initial Developer of the Enhydra Application Server is Lutris
# Technologies, Inc. The Enhydra Application Server and portions created
# by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
# All Rights Reserved.
# 
# Contributor(s):
# 
# $Id: config.mk,v 1.2.2.2.2.1 2000/10/19 17:59:07 jasona Exp $
#

#
# Module-level make configuration file.
#

ROOT = ${MODROOT}/../..

HTTP_SERVER_TEST_VERSION=1.0

JARNAME = httpServerTest

include ${ROOT}/config.mk

HTTP_SERVER_TEST_DIST_NAME = httpServerTest${HTTP_SERVER_TEST_VERSION}
HTTP_SERVER_TEST_OUTPUT = ${ABS_ROOT}/output/${HTTP_SERVER_TEST_DIST_NAME}
HTTP_SERVER_TEST_BIN = ${HTTP_SERVER_TEST_OUTPUT}/bin
HTTP_SERVER_TEST_CONF = ${HTTP_SERVER_TEST_OUTPUT}/conf
HTTP_SERVER_TEST_LIB = ${HTTP_SERVER_TEST_OUTPUT}/lib
HTTP_SERVER_TEST_DOC = ${HTTP_SERVER_TEST_OUTPUT}/doc

OUTPUT = ${HTTP_SERVER_TEST_OUTPUT}

# Add dependencies and our source directory to CLASSPATH
ENHYDRA_CLASSPATH:=${MODULES}/HTTPClient/src${PS}${ENHYDRA_CLASSPATH}
ENHYDRA_CLASSPATH:=${MODULES}/HttpServerTest/src${PS}${ENHYDRA_CLASSPATH}
ENHYDRA_CLASSPATH:=${MODULES}/TestBed/src${PS}${ENHYDRA_CLASSPATH}
