// Common: classes common to many projects
// Copyright 1999 Sims Computing
// You may use this software any way you like. Use at your own risk.

package com.simscomputing;

/**
Indicates that an object already exists in some collection.

@author <a href="http://www.simscomputing.com/>Sims Computing</a>
@version $Revision: 1.1.1.1 $ $Date: 2000/02/21 21:22:32 $
*/
public class ObjectAlreadyExistsException extends Exception {
  /**
  Default constructor. Do nothing.
  */
  public ObjectAlreadyExistsException() {
    // do nothing
  } // constructor

  /**
  Instantiate the object.

  @param String - the error message
  */
  public ObjectAlreadyExistsException(String message) {
    super(message);
  } // constructor
} // class ObjectAlreadyExistsException
