// Common: classes common to many projects
// Copyright 1999 Sims Computing
// This software is licensed under the GNU General Public License,
// available at http://www.gnu.org/copyleft/gpl.html.

package com.simscomputing;

/**
Indicates that the requested object does not already exist in some collection.

@author <a href="http://www.simscomputing.com">Sims Computing</a>
@version $Revision: 1.1.1.1 $ $Date: 2000/02/21 21:22:32 $
*/
public class ObjectDoesNotExistException extends Exception {
  /**
  Default constructor. Do nothing.
  */
  public ObjectDoesNotExistException() {
    // do nothing
  } // constructor

  /**
  Instantiate the object with the specified error message.

  @param String - the error message
  */
  public ObjectDoesNotExistException(String message) {
    super(message);
  } // constructor
} // class ObjectDoesNotExistException
