/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: WMLAccessElementImpl.java,v 1.1.12.1 2000/10/19 17:59:10 jasona Exp $
 */
package org.enhydra.wireless.wml.dom.xerces;

import org.enhydra.wireless.wml.dom.WMLAccessElement;

public class WMLAccessElementImpl extends WMLElementImpl implements WMLAccessElement {

  public WMLAccessElementImpl (WMLDocumentImpl owner, String tagName) {
    super( owner, tagName);
  }

  public void setClassName(String newValue) {
    setAttribute("class", newValue);
  }

  public String getClassName() {
    return getAttribute("class");
  }

  public void setDomain(String newValue) {
    setAttribute("domain", newValue);
  }

  public String getDomain() {
    return getAttribute("domain");
  }

  public void setId(String newValue) {
    setAttribute("id", newValue);
  }

  public String getId() {
    return getAttribute("id");
  }

  public void setPath(String newValue) {
    setAttribute("path", newValue);
  }

  public String getPath() {
    return getAttribute("path");
  }

}
