/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: WMLGoElementImpl.java,v 1.1.12.3 2000/12/04 01:26:00 markd Exp $
 */
package org.enhydra.wireless.wml.dom.xerces;

import org.enhydra.wireless.wml.dom.WMLGoElement;

public class WMLGoElementImpl extends WMLElementImpl implements WMLGoElement {

  public WMLGoElementImpl (WMLDocumentImpl owner, String tagName) {
    super( owner, tagName);
  }

  /** @deprecated use setSendReferer */
  public void setSendreferer(boolean newValue) {
    setSendReferer(newValue);
  }

  /** @deprecated use getSendReferer */
  public boolean getSendreferer() {
    return getSendReferer();
  }

  public void setSendReferer(boolean newValue) {
    setAttribute("sendreferer", newValue);
  }

  public boolean getSendReferer() {
    return getAttribute("sendreferer", false);
  }

  public void setAcceptCharset(String newValue) {
    setAttribute("accept-charset", newValue);
  }

  public String getAcceptCharset() {
    return getAttribute("accept-charset");
  }

  public void setHref(String newValue) {
    setAttribute("href", newValue);
  }

  public String getHref() {
    return getAttribute("href");
  }

  public void setClassName(String newValue) {
    setAttribute("class", newValue);
  }

  public String getClassName() {
    return getAttribute("class");
  }

  public void setId(String newValue) {
    setAttribute("id", newValue);
  }

  public String getId() {
    return getAttribute("id");
  }

  public void setMethod(String newValue) {
    setAttribute("method", newValue);
  }

  public String getMethod() {
    return getAttribute("method");
  }

}
