/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: WMLImgElementImpl.java,v 1.1.12.1 2000/10/19 17:59:10 jasona Exp $
 */
package org.enhydra.wireless.wml.dom.xerces;

import org.enhydra.wireless.wml.dom.WMLImgElement;

public class WMLImgElementImpl extends WMLElementImpl implements WMLImgElement {

  public WMLImgElementImpl (WMLDocumentImpl owner, String tagName) {
    super( owner, tagName);
  }

  public void setWidth(String newValue) {
    setAttribute("width", newValue);
  }

  public String getWidth() {
    return getAttribute("width");
  }

  public void setClassName(String newValue) {
    setAttribute("class", newValue);
  }

  public String getClassName() {
    return getAttribute("class");
  }

  public void setXmlLang(String newValue) {
    setAttribute("xml:lang", newValue);
  }

  public String getXmlLang() {
    return getAttribute("xml:lang");
  }

  public void setLocalSrc(String newValue) {
    setAttribute("localsrc", newValue);
  }

  public String getLocalSrc() {
    return getAttribute("localsrc");
  }

  public void setHeight(String newValue) {
    setAttribute("height", newValue);
  }

  public String getHeight() {
    return getAttribute("height");
  }

  public void setAlign(String newValue) {
    setAttribute("align", newValue);
  }

  public String getAlign() {
    return getAttribute("align");
  }

  public void setVspace(String newValue) {
    setAttribute("vspace", newValue);
  }

  public String getVspace() {
    return getAttribute("vspace");
  }

  public void setAlt(String newValue) {
    setAttribute("alt", newValue);
  }

  public String getAlt() {
    return getAttribute("alt");
  }

  public void setId(String newValue) {
    setAttribute("id", newValue);
  }

  public String getId() {
    return getAttribute("id");
  }

  public void setHspace(String newValue) {
    setAttribute("hspace", newValue);
  }

  public String getHspace() {
    return getAttribute("hspace");
  }

  public void setSrc(String newValue) {
    setAttribute("src", newValue);
  }

  public String getSrc() {
    return getAttribute("src");
  }

}
