//------------------------------------------------------------------------
//
//  SETUP.H
//  Enhydra Tools for JBuilder Setup
//
//------------------------------------------------------------------------

#define UNINST_LOGFILE_NAME      "Uninst.isu"
#define FILE_DIALOG_IMAGE         "dialog.bmp"

#define TRACKCOMPLETE       -1
#define TRACKBACK            0
#define TRACKWELCOME         1
#define TRACKLICENSE        2
#define TRACKREADME          3
#define TRACKASKJDK          4
#define TRACKASKTARGETDIR    5
#define TRACKSETUPTYPE       6
#define TRACKCUSTOM          7
#define TRACKSTARTCOPY       8

#define REG_JDK_12       "\\SOFTWARE\\JavaSoft\\Java Development Kit\\1.2"
#define REG_JDK_13    "\\SOFTWARE\\JavaSoft\\Java Development Kit\\1.3"
#define REG_JAVAHOME  "JavaHome"
#define DT_JAR        "\\lib\\DT.JAR"
#define CYGNUS_DIR    "c:\\"

#define CYGNUS_BIN     "bin"
#define CYGNUS_ENHYDRA "enhydra"
#define CYGNUS_TMP     "tmp"
#define CYGNUS_USR     "usr"
#define ENHYDRA        "Enhydra Core"
#define DEMOS          "Enhydra Demos"
#define ENHYDRA_SRC    "Enhydra Source"
#define DEMOS_SRC      "Enhydra Demos Source"
#define CYGWIN 		   "Cygnus Tools"

// ----- DLL function prototypes -----

// ---- script function prototypes -----

prototype addTrack( NUMBER, NUMBER );
prototype showDialog( NUMBER );
prototype moveFileData();
prototype handleMoveDataError( NUMBER );
prototype processBeforeDataMove();
prototype processAfterDataMove();
prototype updateRegistry();
prototype setupFolders();
prototype cleanUpInstall();
prototype prepareInstall();
prototype prepareScreen();
prototype checkRequirements();
prototype isEnhydraFound(STRING);
prototype isJDKFound(STRING);
prototype isTargetRunning(STRING);
prototype findJDK();
prototype addStandardIcon(STRING, STRING, STRING, STRING);
prototype getParameterValue(BYREF STRING, STRING);
prototype backupFile(STRING, STRING);
prototype modifySampleProject();
prototype parseUnixPath(BYREF STRING);
prototype Shell32.ShellExecuteA(HWND, LPSTR, LPSTR, LPSTR, LPSTR, INT);
prototype launchBrowser();










