/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Lutris.java,v 1.12.14.1 2000/10/19 17:59:06 jasona Exp $
 */

package com.lutris;

/**
 * This class exists for backwards comapatiblity of existing code only.
 * Do no use it. It will be removed in future releases.
 * Use com.lutris.Enhydra.
 */
public class Lutris extends Enhydra {
    private static final String LBS_LONG_NAME = "Lutris Business Server";

    private Lutris() {}

    public static final String getLBSLongName() {
        return LBS_LONG_NAME;
    }

    public static final String getLBSVersion() {
        return getEnhydraVersion();
    }
}

