/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ActKeyValidationException.java,v 1.3.4.1 2000/10/19 17:59:08 jasona Exp $
 */
 
package com.lutris.multiServer;

/**
 * This is the <code>Exception</code> that will be thrown if the given
 * validation code does not accept the right-to-run of the currently
 * running servlet.
 *
 * @author Jason Abbott (jason@lutris.com)
 * @see org.enhydra.servlet.ActKeyValidation
 */
public class ActKeyValidationException extends Exception {
    public ActKeyValidationException(String s) {
	super(s);
    }
}
