// Common: classes common to many projects
// Copyright 1999 Sims Computing
// This software is licensed under the GNU General Public License,
// available at http://www.gnu.org/copyleft/gpl.html.

package com.simscomputing;

import java.rmi.RemoteException;

/**
Indicates that something has gone wrong on a server.

@author <a href="http://www.simscomputing.com/>Sims Computing</a>
@version $Revision: 1.1.1.1 $ $Date: 2000/02/21 21:22:32 $ */
public class ServerFailureException extends RemoteException {
  /**
  Indicates that something has gone wrong on a server.

  @param String - the error message
  */
  public ServerFailureException(String message) {
    super(message);
  } // constructor
} // class ServerFailureException
