// Java Test Bed: tools for testing Java classes
// Copyright 1999 Sims Computing
// This software is licensed under the GNU General Public License,
// available at http://www.gnu.org/copyleft/gpl.html.

package com.simscomputing.testbed;

/**
Indicates that the specified test method does not exist.

@author David Sims
@version $Revision: 1.1.1.1 $ $Date: 2000/02/21 21:22:34 $
*/
public class NoSuchTestException extends Exception {
  /**
  Instantiates the object.
  */
  public NoSuchTestException() {
    // do nothing
  } // constructor

  /**
  Constructs the object with the specified message.

  @param String - the exception message
  */
  public NoSuchTestException(String message) {
    super(message);
  } // constructor
} // NoSuchTestException
