/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id$
 */

package org.enhydra.xml.xmlc.dom.xerces;

import org.enhydra.xml.xmlc.*;
import org.enhydra.xml.xmlc.dom.generic.GenericDocCreateGenerator;
import org.enhydra.xml.xmlc.dom.XMLCDomFactory;

/**
 * Class to create Xerces DOM using a XMLCDomFactory class.
 * Currently doesn't add anything to the generic functionality, its here for
 * DOMs that extend Xerces to use.
 */
public class XercesDocCreateGenerator extends GenericDocCreateGenerator {
    /**
     * Constructor.
     */
    public XercesDocCreateGenerator(XMLCDomFactory domFactory) {
        super(domFactory);
    }
}

