#!/bin/sh
#
# Run the auto-comp tests.
#

set -e  # Stop on errors

ROOT="@ROOT@"
JAVA="@JAVA@"

XMLC_OUTPUT="@XMLC_OUTPUT@"
TEST_CLASSES="@XMLC_TEST_CLASSES@"

XMLC_JAR="${XMLC_OUTPUT}/lib/xmlc.jar"
ENHYDRA_CLASSPATH="@ENHYDRA_CLASSPATH@"

if [ "X$OSTYPE" = "Xcygwin32" ] ; then
    PS=\;
else
    PS=:
fi

if [ "X${XMLC_STANDALONE}" = "XYES" ] ; then
    CLASSPATH="${TEST_CLASSES}${PS}${XMLC_JAR}"
else
    CLASSPATH="${TEST_CLASSES}${PS}${ENHYDRA_CLASSPATH}"
fi
export CLASSPATH

exec ${JAVA} ${MX_ARG} tests.org.enhydra.xml.xmlc.TestAutoComp "$@"
